var data = $.ajax({
			  url: "http://<%= @host_name %>/corheaders/hbase/<%= @h.id %>.json",
			  type: "GET",
			  crossDomain: true,
			  xhrFields: {
			    withCredentials: true
			  }
		});
		function sendlinks(){
		 var queryparam = "";
		 $.each(tracethem,function(index,value){
		  queryparam += index+"="+value+"&"
		  });
		  $.ajax({ 
		  	url: "http://<%= @host_name %>/corheaders/links/"+JSON.parse(data.responseText).id+".json?"+queryparam, 
		  	type: "GET",
		  	crossDomain: true,
		    xhrFields: { 
		    	withCredentials: true 
		    }
		   }); 
		};
		function newsletter(){
		  $.ajax({ 
		  	url: "http://<%= @host_name %>/corheaders/newsletter?headerid=<%= @h.id%>&email="+$('#header-ad-newsletter-email')[0].value, 
		  	type: "GET",
		  	crossDomain: true,
		    xhrFields: { 
		    	withCredentials: true 
		    }
		   }); 
		   $("#header-ad-newsletter-container")[0].innerHTML = "Subscribed Successfully";
		}
		function count(val){
			var tgt = val.href;
			var targetheader = JSON.parse(window.data.responseText);
			$.ajax({
			  url: "http://<%= @host_name %>/corheaders/count/"+targetheader.id+".json?link="+tgt,
			  type: "GET",
			  crossDomain: true,
			  xhrFields: {
			    withCredentials: true
			  }
			});
		};
		<%if @h.add_back_button %>
		function headerHome(){
		$(".header-ref-body")[0].style.display = "block";
		$(".header-ref-iframe").remove();
		$(".header-ad").css("display","none");
		};
		<%end %>
		function hBinding(){
			window.tracethem = [];
			$("a").each(function(){
				if(this.href.split("/")[2] != window.location.origin.split("/")[2]){
				 this.className = "header-ad-links"
				}
			});
			$(".header-ad-links").each(function(){
				window.tracethem.push(this.href);
				$(this).bind("click",function(){
					count(this);
					var iframe = document.createElement("iframe");
					iframe.src = this.href;
					iframe.style.width = "100%";
					iframe.style.height = "600px";
					iframe.frameBorder = "0";
					iframe.className = "header-ref-iframe";
					$(".header-ref-body").css("display","none");
					$(".header-ad").css("display","block");
					document.body.appendChild(iframe);
				 	return false;
				})
			});
			$(".header-ad-back-btn").each(function(){
				$(this).bind("click",function(){
					console.log("working");
					return false;
				})
			})
		};
		window.headerad = {
		  brandon: function(data){
		  	var properties = JSON.parse(data.responseText);
			var element = document.createElement('div');
		    element.className = 'header-ad';
		    element.style.backgroundColor = "#"+properties.background;
		    element.style.height = properties.height+"px";
		    element.style.borderBottom = properties.border_bottom;
		    element.style.borderColor = "#"+properties.border_color;
		    element.style.paddingTop = '18px';
		    element.style.display = "none";
		    var logo = document.createElement('div');
		    logo.className = "logo";
		    logo.style.float = "left";
		    logo.style.width = '20%';
		    logo.style.marginLeft = '5%';
		    logo.innerHTML = "<img src='<%=root_url.chop %><%= @h.logo %>' style='width:74px' />";
		    var rightCnt = document.createElement('div');
		    rightCnt.style.float = "right";
		    rightCnt.style.width = "70%";
		    rightCnt.style.marginRight = "5%";
		    var back = document.createElement('div');
		    back.style.float = "right";
		    back.style.marginTop = "10px";
		    back.innerHTML = "<a class='header-ad-back-btn' style='margin-left:15px;background: white;color: saddlebrown;border: 1px solid #e3e3e3;padding: 5px 12px;border-bottom-right-radius: 8px;border-top-left-radius: 11px;cursor: pointer;' onClick='headerHome();'>Back</a>";
		    var subscribe = document.createElement('div');
		    subscribe.style.float = "right";
		    subscribe.style.marginTop = "10px";
		    subscribe.id = 'header-ad-newsletter-container';
		    subscribe.innerHTML = "<input name='email' id='header-ad-newsletter-email' placeholder='Enter email address' type='text'><button name='button' type='submit' onclick='newsletter()'>submit</button>";
		    <%if @h.add_back_button %>
		    rightCnt.appendChild(back);
		    <%end %>
		    rightCnt.appendChild(subscribe);
			<%if !(@h.twitter_page.nil?) && (@h.twitter_page != "") %>
		    var social = document.createElement("div");
		    social.style.float = "right";
		    social.style.marginTop = '10px';
		    social.innerHTML = "<a href='http://twitter.com/share?url=<%= CGI::escape(root_url) %>&text=<%= CGI::escape(@h.twitter_page) %>' style='margin-right:15px' class='twit' target='_blank'><img src='http://www.apkreleases.com/wp-content/themes/apkr-1.3/images/twitter.png' ></a><a href='https://www.facebook.com/sharer/sharer.php?u=<%= CGI::escape(@h.fb_page) %>' style='margin-right:25px' class='fb' target='_blank'><img src='http://india.gov.in/sites/default/themes/indiaportal/images/facebook32x32.png' /></a>";
		    rightCnt.appendChild(social);
			<%end %>
		    var clearfix = document.createElement("div");
		    clearfix.style.clear = "both";
		    element.appendChild(logo);
		    element.appendChild(rightCnt);
		    element.appendChild(clearfix);
		    $("body").children().wrapAll('<div class="header-ref-body"></div>');
		    document.body.appendChild(element);
		    document.body.insertBefore(element,document.body.firstChild);
		  }
		};
		setTimeout(function(){headerad.brandon(data);}, 250);
		hBinding();